{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"<b>Required scope: </b><code>ooo_entries:write</code>\n\nAn existing OOO entry can be updated by making a PUT request on the URL for\nthat OOO entry. Only the fields provided in the `data` block will be updated;\nany unspecified fields will remain unchanged.\n\nReturns the complete updated OOO entry record.","properties":{"path":{"type":"object","properties":{"ooo_entry_gid":{"type":"string","examples":["12345"],"description":"Globally unique identifier for the OOO entry."}},"required":["ooo_entry_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["created_by","created_by.name","end_date","start_date","user","user.name"]},"examples":[["created_by","created_by.name","end_date","start_date","user","user.name"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/OooEntryUpdateRequest"}}}},"required":["path","body"],"additionalProperties":false,"definitions":{"OooEntryUpdateRequest":{"$ref":"#/definitions/OooEntryBase"},"OooEntryBase":{"description":"A generic Asana Resource, containing a globally unique identifier.","type":"object","properties":{"start_date":{"type":"string","format":"date","description":"The day on which the OOO entry starts.","examples":["2024-01-01"]},"end_date":{"type":"string","format":"date","description":"The day on which the OOO entry ends.","examples":["2024-01-15"]}}}}},"name":"Update an OOO entry","id":"asana.updateoooentry","example":{"path":{"ooo_entry_gid":"12345"},"body":{}},"maxRequests":1,"summary":false}}